Skip to content

Results are limited to the current section: Cloud services

Product news

Get a project by id

GET
/api/v1/projects/{project_id}
curl --request GET \
--url https://example.com/api/v1/projects/f81d4fae-7dec-11d0-a765-00a0c91e6bf6 \
--header 'Authorization: Bearer <token>'

Retrieves detailed information about a specific project

project_id
required
Array<number>
Example
f81d4fae-7dec-11d0-a765-00a0c91e6bf6

The ID of the project

On success

Media typeapplication/json
object
code
required
number format: int32
data
required
object
account_manager
required
object
email
required
string
family_name
required
string
given_name
required
string
id
required
string
additional_access_grants
required
Array<object>
object
grant
required
string
role
required
string
Allowed values: ADMIN MEMBER
allowed_device_types
required
Array<string>
allowed_workload_types
required
Array<string>
company
required
string
count
required
object
ACTIVE_ADMIN
required
number format: int64
ACTIVE_MEMBER
required
number format: int64
PENDING
required
number format: int64
created_at
required
string format: date-time
description
required
string
email_domain
required
string
id
required
Array<number>
last_activity_date
required
string format: date-time
main_admin
required
object
email
required
string
family_name
required
string
given_name
required
string
id
required
string
max_concurrent_job
required
number format: int32
name
required
string
package
required
string
project_status
required
string
project_type
required
string
queue_priority
required
string
updated_at
required
string format: date-time
message
required
string
pagination
required
object
total
required
number format: int64
status
required
string
Example
{
"code": "200",
"data": {
"additional_access_grants": [
{
"role": "ADMIN"
}
],
"id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6"
},
"message": "success",
"status": "OK"
}